Webform Associations

Purpose

To retrieve the details of Journey Builder (Orchestration) configurations associated with a specific Webform. Use this API to identify which orchestration journeys are triggered for records created through the Webform.

  • GET /settings/webforms/{webform_ID}/actions/associated

Request Details

Request URL

{api-domain}/crm/{version}/settings/webforms/{webform_id}/actions/associated

Header

Authorization: Zoho-oauthtoken 1000.xxxxxxxxxxxxxxxxx

Scope

ZohoCRM.settings.webforms.READ 
(or)
ZohoCRM.settings.webforms.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/webforms/5843104000007275001/actions/associated" 
-X GET 
-H "Authorization: Zoho-oauthtoken 1000.xxxxxxxxxxxxxxxxx"

Response JSON

The response contains a webform_associations JSON array. Each object in the array contains the following keys:

  • records_associatedBoolean

    Indicates whether records created through the Webform are associated with Journey Builder (Orchestration) configurations.
    Possible values: true, false

  • associatedJSON array

    Represents the list of Journey Builders associated with the Webform. If there are no associations, this will be an empty array. Each object contains the following keys.

    • namestring

      Represents the name of the Journey Builder associated with the Webform.

    • detailsJSON object

      Contains the transition details of the Journey Builder, including the following keys:

      • TransitionJSON object

        Represents the transition in the Journey Builder associated with the Webform. Contains the following keys.

        • namestring

          Represents the name of the Transition.

        • idstring

          Represents the unique ID of the Transition.

    • idstring

      Represents the ID of the Journey Builder.

    • typestring

      Represents the type of the associated entity.
      Possible values: Orchestration

  • idstring

    Represents the ID of the Webform.

Success response when Webform is associated with Journey Builder

Copied{
    "webform_associations": [
        {
            "records_associated": true,
            "associated": [
                {
                    "name": "journey (Active Version 1)",
                    "details": {
                        "Transition": {
                            "name": "Transition 1",
                            "id": "2992000000011504"
                        }
                    },
                    "id": "2992000000011504",
                    "type": "Orchestration"
                }
            ],
            "id": "5843104000007275001"
        }
    ]
}

Possible Errors

  • INVALID_DATAHTTP 400

    The webform ID specified in the URL is invalid.
    Resolution: Specify a valid webform ID.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized access.
    Resolution: Generate a new access token with the required scope.

  • NO_PERMISSIONHTTP 403

    Permission denied.
    Resolution: Ensure the user has permission to access webform settings.

Success response when Webform is not associated with Journey Builder

Copied{
    "webform_associations": [
        {
            "records_associated": false,
            "associated": [],
            "id": "5843104000007269001"
        }
    ]
}